> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nekohub.fengying.xin/llms.txt
> Use this file to discover all available pages before exploring further.

# MCP Integration

> Connect NekoHub to AI agents and tools through MCP.

NekoHub exposes an HTTP-based MCP endpoint that compatible clients can use to manage assets.

<Note>
  `/mcp` only accepts API keys, and they must be sent as `Authorization: Bearer <API_KEY>`.
</Note>

## Endpoint

```text theme={null}
http://your-api-host:5121/mcp
```

The current implementation also exposes:

* `GET /mcp`
* `POST /mcp`
* `GET /mcp/sse`
* `POST /mcp/message?sessionId=...`

## Client configuration

```json theme={null}
{
  "mcpServers": {
    "nekohub": {
      "url": "http://your-api-host:5121/mcp",
      "headers": {
        "Authorization": "Bearer your-api-key"
      }
    }
  }
}
```

## Available tools

* `upload_asset`
* `list_assets`
* `get_asset`
* `patch_asset`
* `delete_asset`
* `batch_delete_assets`
* `get_asset_content_url`
* `get_asset_usage_stats`
* `list_skills`
* `run_asset_skill`
* `list_storage_profiles`
* `create_storage_profile`
* `update_storage_profile`
* `delete_storage_profile`
